Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® PlayBook™

Reply
New Member
Posts: 1
Registered: ‎04-20-2011
My Device: Playbook
My Carrier: AT&T

Browser emulation?

I want to connect to my corporate website.  The website requires Internet Explorer 6.0+ for connection.  Is there a way to change the browsers emulation on the playbook to emulate IE 6.0+ ?

 

Thanks

Posts: 94,161
Likes: 24,317
Solutions: 6,329
Registered: ‎04-01-2008
My Device: Passport • Z30 • Z10 • Torch9850 • Playbook
My Carrier: Verizon

Re: Browser emulation?

I have not found a way to emulate other browsers.
I, too, wish this were an option, and maybe it can be added.
>> NEW! 10% discount on BlackBerry devices from ShopBlackBerry.com, including PRIV


1. If any post helps you please click the Like Button below the post(s) that helped you.
2. Please resolve your thread by marking the post "Solution?" which solved it for you!
3. Install free BlackBerry Protect today for backups of contacts and data.
4. Guide to Unlocking your BlackBerry & Unlock Codes
Join our BBM Channels (Beta)
BlackBerry Support Forums Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Highlighted
Guru I
Posts: 19,017
Registered: ‎07-29-2008
My Device: Passport, Playbook, 9320BES
My Carrier: Bouygues _ SFR

Re: Browser emulation?

@thehairlesscat :

can you give the URL of that website?

You have two possible issues here:

  • either the website checks for the User-Agent (= the browser declares "I am Firefox" or "I am BlackBerry6" or "I am Internet Explorer 8"). Changing the User-Agent is possible on most Pc browsers, and also on the BlackBerry Browser 4 and BlackBerry Browser 5. This feature has been removed for BlackBerry Browser 6 if I recall correctly. I do not know yet if this action (called UA spoofing) is possible on the PlayBook.
  • or the website relies on an ActiveX applet. If that is the case, Internet Explorer is mandatory.

 

For your information the User Agent of the PlayBook browser is :

 


Mozilla 5.0 (PlayBook; U; RIM Tablet OS 1.0.0; en-US) AppleWebKit/534.8 (KHTML, like Gecko) Version/0.0.1 Safari/534.8+

 


 




The search box on top-right of this page is your true friend, and the public Knowledge Base too: